<?php
session_start();
include "verifica.php";
include "validaciones.php";

@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xunidad_sunat=$_REQUEST['xunidad_sunat'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$uni = new Unidadesdemedida;

switch($xaccion){
	
	case "adicionar": 
		if($uni->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Unidad de medida creada satisfactoriamente.")
			parent.location.href="../unidadesdemedida.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($uni->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Unidad de medida modificada satisfactoriamente.")
			parent.location.href="../unidadesdemedida.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($vali->unidadesdemedida($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{				
			if($uni->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Unidad de medida eliminada satisfactoriamente.")
				parent.location.href="../unidadesdemedida.php";
				</script>			
				<?php
				
			}
		}			
		break;

	case "activar":
		if($uni->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Unidadesdemedida{

	//Adiciona registro
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion, $xunidad_sunat;		

		$r = mysqli_query($conexion,"insert into unidades_medida (unimed_nombre, 
												  unimed_abreviatura,
												  unimed_usu_crea,
												  unimed_sunat)
										values ('$xnombres', 
												'$xabreviatura',
												'$xusuario_sesion',
												'$xunidad_sunat');");
		
		if($r){		
			return 1;
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: LA UNIDAD DE MEDIDA YA EXISTE EN LOS REGISTROS.");
			</script>
			<?php							
		}	
				
	}	

	//Modifica registro
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion, $xunidad_sunat;		

		$r = mysqli_query($conexion,"update unidades_medida set unimed_nombre = '$xnombres', 
												  unimed_abreviatura = '$xabreviatura',
												  unimed_usu_modifica = '$xusuario_sesion',
												  unimed_sunat = '$xunidad_sunat'												  
										where unimed_codi = $xid;");
		
		if($r){		
			return 1;
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: LA UNIDAD DE MEDIDA YA EXISTE EN LOS REGISTROS.");
			</script>
			<?php													
		}	
	
	}	
	

	//Elimina registro
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from unidades_medida where unimed_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa registro
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update unidades_medida set unimed_estado = '$xestado',
														 	unimed_usu_activa = '$xusuario_sesion' 
															where unimed_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
